Last Comment Bug 564987 - buildbot should cope when firefox/plugins doesn't exist
: buildbot should cope when firefox/plugins doesn't exist
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 486570
Blocks: 533891
  Show dependency treegraph
 
Reported: 2010-05-10 22:54 PDT by Josh Aas
Modified: 2013-08-12 21:54 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
untested solution (912 bytes, patch)
2010-05-11 13:33 PDT, Ben Hearsum (:bhearsum)
catlee: review+
bhearsum: checked‑in+
Details | Diff | Splinter Review

Description Josh Aas 2010-05-10 22:54:12 PDT
I checked in a patch for bug 533891, which passed locally, on the try servers and also on the production servers. Later on a clobber happened and my patch was found to have caused a problem:

====================
bash -c cp bin/xpcshell firefox && cp -R bin/components/* firefox/components/
&& cp -R bin/plugins/* firefox/plugins/ && python -u
xpcshell/runxpcshelltests.py --symbols-path=symbols
--manifest=xpcshell/tests/all-test-dirs.list firefox/xpcshell
cp: cannot create regular file `firefox/plugins/': Is a directory
====================

This seems to be related to this code:

http://mxr.mozilla.org/build/source/buildbotcustom/steps/unittest.py#452

I'm not sure exactly what is wrong but this problem needs to be resolved one way or another.
Comment 1 Phil Ringnalda (:philor, back in August) 2010-05-10 23:09:24 PDT
I'm not positive, but I think what's wrong is that since we're still going to
scan firefox/plugins/, and tests need to have the test plugin in there, but
we're not going to ship anything in there anymore, unittest.py (and every lame
plugin installer that thinks dropping crud in there is the right thing to do)
needs to create the directory if it doesn't exist, before copying into it.
Comment 2 Ted Mielczarek [:ted.mielczarek] 2010-05-11 05:22:51 PDT
The "copy crap to the app dir" is because we haven't yet fixed bug 486570.
Comment 3 Ben Hearsum (:bhearsum) 2010-05-11 13:15:06 PDT
To be crystal clear, the work item is: Ensure firefox/plugins exists before trying to copy to it.
Comment 4 Ben Hearsum (:bhearsum) 2010-05-11 13:33:57 PDT
Created attachment 444738 [details] [diff] [review]
untested solution
Comment 5 Josh Aas 2010-05-11 13:38:39 PDT
I have tested Flash, Quicktime, and WMP installers on Windows 7 - none of them have problems with Firefox not having a plugins dir in the app package. The WMP installer creates the dir, the others just use the registry as they should.
Comment 6 Robert Strong [:rstrong] (use needinfo to contact me) 2010-05-11 13:45:57 PDT
Josh, if QuickTime is using the registry then that is new. My Win7 system has QuickTime installed and it doesn't though it has copied several QuickTime plugin files into my plugins directory... can you double check this?
Comment 7 Josh Aas 2010-05-11 14:09:57 PDT
I had Quicktime in the plugins dir too (when I had one), I think quicktime is just playing it safe and using the registry + the plugins dir if one exists. We aren't deleting the plugins dir, so if someone had one from an older quicktime install that didn't use the registry (I don't know if such a thing exists) they'll be fine.
Comment 8 Ben Hearsum (:bhearsum) 2010-05-13 10:26:44 PDT
Comment on attachment 444738 [details] [diff] [review]
untested solution

changeset:   723:c7a0781ae36f
Comment 9 Ben Hearsum (:bhearsum) 2010-05-14 10:48:00 PDT
tm02 has been restarted.

Note You need to log in before you can comment on or make changes to this bug.